export const configProvideProps = {
  searchReset: {
    type: Boolean,
    default: false
  },
  searchGrid: {
    type: [Boolean, Number],
    default: false
  },
  limit: {
    type: Object,
    default: () => ({}) // { input?: number,textarea?: number }
  },
  buttonConfigMap: Object, // 用于cip-button全局配置 Record<string, {type: string ,icon: string , text: string}>
  layout: {
    type: Object,
    default: () => ({}) // { hideHeader?: boolean, padding?: boolean, compact?: boolean  }
  },
  table: {
    type: Object,
    default: () => ({}) // { defaultViewValue?: string }
  },
  number: {
    type: Object,
    default: () => ({}) // { precision?: number, thousandSeparator?: string }
  },
  paginationCompact: Boolean, // 用于cip-pagination是否开启紧凑模式(注: 数据中台使用紧凑模式)
  customInputComponents: Object,
  withQuery: { // tabs判断路由相同时是否包含query
    type: Boolean,
    default: undefined
  },
  fileUpload: Function, // 默认的文件上传方法 需要使用file组件时建议填写
  logout: Function, //  main组件登出方法
  defaultViewValue: { // 默认值全局配置
    type: [String, Number]
  },
  namespace: { // 样式命名空间
    type: String,
    default: 'el'
  },
  range: { // {separate: boolean // range组件师傅分开}
    type: Object,
    default: () => ({})
  }
}
