import { ElImage } from 'element-plus'
import { computed } from 'vue'
// import apiConfig from '@cip/request/apiConfig'
import { store } from '@cip/request'
import { getValueByTemplate } from '@cip/utils/util'
import { generateProps } from '../helper/component-util'
import { componentScheme } from './component.scheme'
export default {
  props: generateProps(componentScheme),
  setup (props) {
    const realSrc = computed(() => {
      return getValueByTemplate(props.src, store.apiConfig)
    })
    return () => <ElImage src={realSrc.value}/>
  }
}
