import { defineAsyncComponent, h } from 'vue'
const Framework = (props, { slots }) => {
  return h(defineAsyncComponent(() => import(`./${props.layout}`)), props, slots)
}
Framework.props = {
  layout: { type: String, required: true },
  hideAside: { type: Boolean }
}
export default Framework
